Subject: Re: bug#23377: 25.0.93; Completion is extremely slow for insert-char

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Apr 2016 10:24:44 +0300

> From: John Wiegley <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 26 Apr 2016 21:19:02 -0400
> 
> >>>>> Lars Magne Ingebrigtsen <[email-masked]> writes:
> 
> > If I type `M-x insert-char TAB' on this machines, that takes 17 seconds to
> > complete on this machine. That's kinda unusable. I think the patch should be
> > installed, and the default should be nil, and then somebody can figure out
> > how to make this feature work in a reasonable manner on GNU/Linux systems
> > for Emacs 26.
> 
> So in what contexts is this feature actually a feature? I missed that part.

I hope Stefan will be able to answer that, as he introduced the
feature a year ago.

There was a long discussion at some point of how to facilitate
selection of characters to insert, if you don't know their exact name
or codepoint, so I presume this feature was supposed to help in that
area.